# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXExists

Function

Determines if a component exists in a Field.

Syntax
`
#include <dx/dx.h>
`

Object DXExists(Object o, char *name)

Functional Details

If any Field in Object `o` contains a component of the specified `name`, this routine returns `o`. Object `o` can be a single Field or any Object that can contains Fields (e.g., Groups or Series).

Return Value

Returns `o` if any Field in Object `o` contains a `name` component; otherwise, `NULL` but does not set an error code.

See Also

`DXExtract, DXGetComponentValue, DXInsert, DXRemove, DXRename, DXReplace, DXSwap`

12.10 , "Component Manipulation".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]